> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Receipt Line Detail

GET https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts/{receiptId}/lines/{receiptLineId}

Get a receipt line detail

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/invoice-management/receipt/get-ip-receipts-receipt-id-lines-receipt-line-id

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `receiptId` (string, required) — The unique ID of the receipt.
- `receiptLineId` (string, required) — The unique ID of the receipt line.

## Response

### 200

OK

- `code` (double, required)
- `data` (ReceiptsReceiptIdLinesReceiptLineIdGetResponsesContentApplicationJsonSchemaData, required)
- `meta` (ReceiptsReceiptIdLinesReceiptLineIdGetResponsesContentApplicationJsonSchemaMeta, required)

## Types

### ReceiptsReceiptIdLinesReceiptLineIdGetResponsesContentApplicationJsonSchemaData

- `id` (double, required)
- `createdAt` (double, required)
- `updatedAt` (double, required)
- `storeHash` (string, required)
- `customerId` (string, required)
- `externalId` (string, required, nullable)
- `externalCustomerId` (string, required, nullable)
- `receiptId` (double, required)
- `invoiceId` (double, required)
- `amount` (ReceiptsReceiptIdLinesReceiptLineIdGetResponsesContentApplicationJsonSchemaDataAmount, required)
- `paymentStatus` (double, required)
- `paymentType` (string, required)
- `invoiceNumber` (string, required)
- `paymentId` (double, required)
- `referenceNumber` (string, required)
- `transactionType` (string, required)

### ReceiptsReceiptIdLinesReceiptLineIdGetResponsesContentApplicationJsonSchemaMeta

- `message` (string, required)

### ReceiptsReceiptIdLinesReceiptLineIdGetResponsesContentApplicationJsonSchemaDataAmount

- `code` (string, required)
- `value` (string, required)

## Examples

**Response**

```json
{
  "code": 200,
  "data": {
    "id": 92,
    "createdAt": 1630570416,
    "updatedAt": 1630570416,
    "storeHash": "1i6zpxpe3g",
    "customerId": "5707",
    "externalId": "",
    "externalCustomerId": "",
    "receiptId": 83,
    "invoiceId": 19,
    "amount": {
      "code": "CNY",
      "value": "0.7000"
    },
    "paymentStatus": 3,
    "paymentType": "Offline",
    "invoiceNumber": "00000019",
    "paymentId": 90,
    "referenceNumber": "test",
    "transactionType": "Paid"
  },
  "meta": {
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python example-1
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts/receiptId/lines/receiptLineId"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript example-1
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts/receiptId/lines/receiptLineId';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go example-1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts/receiptId/lines/receiptLineId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby example-1
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts/receiptId/lines/receiptLineId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java example-1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts/receiptId/lines/receiptLineId")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php example-1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts/receiptId/lines/receiptLineId', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp example-1
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts/receiptId/lines/receiptLineId");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift example-1
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts/receiptId/lines/receiptLineId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```